<nav class="rightSideBar" [ngStyle]="{width : sidebarOpen ? sideBarWightOpen : sideBarWightClose }">
  <div class="tab-list">
    <i class="tab-item fa fa-filter fa-inverse"
       (click)="sidebarPageSelection.emit(sidebarPageAvailable.Filter)"
       [ngClass]="[sidebarActivePage === sidebarPageAvailable.Filter ? 'item-active' : '']"></i>
    <i class="tab-item fa fa-sort-amount-asc fa-inverse"
       (click)="sidebarPageSelection.emit(sidebarPageAvailable.Sort)"
       [ngClass]="[sidebarActivePage === sidebarPageAvailable.Sort ? 'item-active' : '']"></i>
    <i class="tab-crois fa fa-times-circle" (click)="toggleSidebar.emit()"></i>
  </div>
  <div class="page" *ngIf="sidebarActivePage === sidebarPageAvailable.Filter">
    <div class="page-title">Filter</div>
  </div>
  <div class="page" *ngIf="sidebarActivePage === sidebarPageAvailable.Sort">
    <div class="page-title">Sort</div>
    <ul>
      <li>
        <button (click)="sidebarSortSelection.emit('alphabetical')">Alphabetical</button>
        <!--<input type="radio" id="f-option" name="selector"-->
               <!--v-bind:checked="currentSort === 'alphabetical'"-->
               <!--@click="alphabetical">-->

        <!--<label for="f-option">Alphabetically</label>-->
      </li>

      <li>
        <button (click)="sidebarSortSelection.emit('upToCritical')">Up to Critical</button>
        <!--<input type="radio" id="s-option" name="selector"-->
               <!--v-bind:checked="currentSort === 'upToCritical'"-->
               <!--@click="upToCritical">-->
        <!--<label for="s-option">Up to Critical</label>-->
      </li>

      <li>
        <button (click)="sidebarSortSelection.emit('criticalToUp')">Critical to Up</button>
        <!--<input type="radio" id="t-option" name="selector"-->
               <!--v-bind:checked="currentSort === 'criticalToUp'"-->
               <!--@click="criticalToUp">-->
        <!--<label for="t-option">Critical to Up</label>-->
      </li>
    </ul>

  </div>
</nav>
